import { EditorView, basicSetup } from "codemirror";
import { EditorState } from "@codemirror/state";

// import { javascript } from "@codemirror/lang-javascript";
import { romeAst } from "../dist/index";

let editor = new EditorView({
	state: EditorState.create({
		doc: `JsVariableStatement {
      declaration: JsVariableDeclaration {
          kind: LET_KW@0..4 "let" [] [Whitespace(" ")],
          declarators: JsVariableDeclaratorList [
              JsVariableDeclarator {
                  id: JsIdentifierBinding {
                      name_token: IDENT@4..6 "a" [] [Whitespace(" ")],
                  },
                  variable_annotation: missing (optional),
                  initializer: JsInitializerClause {
                      eq_token: EQ@6..8 "=" [] [Whitespace(" ")],
                      expression: JsNumberLiteralExpression {
                          value_token: JS_NUMBER_LITERAL@8..9 "3" [] [],
                      },
                  },
              },
          ],
      },
      semicolon_token: SEMICOLON@9..10 ";" [] [],
  }`,
		extensions: [basicSetup, romeAst()],
	}),
	// extensions: [basicSetup, romeAst()],
	parent: document.getElementById("app"),
});
